
#ifndef __JOBSTATUSOBJECT_H__
#define __JOBSTATUSOBJECT_H__

//#include "glite/ce/cream-client-api-c/soap_definitions.h"
#include "glite/ce/cream-client-api-c/cream_client_soapStub.h"
#include <string>

class JobStatusObject : public creamtypes__Status {
 public:
  //____________________________________________________________________________
  JobStatusObject(const creamtypes__Status& J)
    : creamtypes__Status(J)
  {
    if(J.exitCode)
      exitCode = new std::string(*(J.exitCode));
    if(J.failureReason)
      failureReason = new std::string(*(J.failureReason));
  }

  //____________________________________________________________________________
  JobStatusObject(const JobStatusObject& J)
    : creamtypes__Status(J)
  {
    if(J.exitCode)
      exitCode = new std::string(*(J.exitCode));
    if(J.failureReason)
      failureReason = new std::string(*(J.failureReason));

  }
  //____________________________________________________________________________
  virtual ~JobStatusObject() { 
    if(exitCode) delete(exitCode);
    if(failureReason) delete(failureReason);
  }

};

#endif
