#include "glite/ce/cream-client-api-c/cream_client_soapStub.h"
#include "glite/ce/cream-client-api-c/Command.h"

namespace soapProxy = glite::ce::cream_client_api::soap_proxy;

soapProxy::Command::Command(creamtypes__Command* C)
{
  if(!C) return;
  m_name = C->name;
  m_status = C->status;
  if( C->failureReason )
    m_failureReason = *(C->failureReason);
  else
    m_failureReason = "";
  if( C->creationTime )
    m_creationTime = *(C->creationTime);
  else
    m_creationTime = 0;
  if( C->startSchedulingTime )
    m_startSchedulingTime = *(C->startSchedulingTime);
  else
    m_startSchedulingTime = 0;
  if( C->startProcessingTime )
    m_startProcessingTime = *(C->startProcessingTime);
  else
    m_startProcessingTime = 0;
  if( C->executionCompletedTime )
    m_executionCompletedTime = *(C->executionCompletedTime);
  else
    m_executionCompletedTime = 0;
}
