/*
        Copyright (c) 2004 on behalf of the EU EGEE Project:
        The European Organization for Nuclear Research (CERN),
        Istituto Nazionale di Fisica Nucleare (INFN), Italy
        Datamat Spa, Italy
        Centre National de la Recherche Scientifique (CNRS), France
        CS Systeme d'Information (CSSI), France
        Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
        Universiteit van Amsterdam (UvA), Netherlands
        University of Helsinki (UH.HIP), Finland
        University of Bergen (UiB), Norway
        Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom

        AbsJobInfoList: an abstract class for JobInfo

        Authors: Alvise Dorigo <alvise.dorigo@pd.infn.it>
        Version info: $Id: AbsJobInfoList.h,v 1.3 2005/09/15 16:30:16 adorigo Exp $
*/

#ifndef __ABSJOBINFOLIST_H__
#define __ABSJOBINFOLIST_H__

#include <vector>
#include <string>

namespace glite {
  namespace ce {
    namespace cream_client_api {
      namespace soap_proxy {
	
	class AbsJobInfoList {
	  
	public:
	  AbsJobInfoList() {}
	  virtual ~AbsJobInfoList() {}
	  virtual void print(const int&) = 0;
	  virtual void getJobIDS(std::vector<std::string>&) = 0;
	};
      }
    }
  }
}

#endif
